#!/bin/sh

PKGS="X11 char dev dicts fonts graph printers plotters samples system \ 
	tutorial util"

function usage () {
	echo "usage:	`basename $0` -r | -s"
	echo "		-r remove the .tar.gz's"
	echo "		-s save (or rather don't remove) the .tar.gz's"
	exit 1
}

if [ $# = 0 -o "$1" != "-r" -a "$1" != "-s" ];
then
	usage
fi

for pkg in $PKGS; do
  if [ -e $pkg.tar.gz ]; then
    echo -n "Installing $pkg... "
    gunzip $pkg.tar.gz
    tar xf $pkg.tar && echo done
    if [ "$1" = "-r" ]
    then
	rm $pkg.tar
    fi
  fi
done

chmod 666 `cat file.lst`
chmod 777 `cat dirs.lst`

if [ -e resource/X11/fonts/sff_install ]
then
	echo "Now, become root and run the xfontinstall script"
fi
